### Enumeration

# Cogl PollFDEvent

since: 14

#### Declaration

    enum Cogl.PollFDEvent

#### Description [src]

A bitmask of events that Cogl may need to wake on for a file descriptor. Note that these all have the same values as the corresponding defines for the poll function call on Unix so they may be directly passed to poll.

Available since: 14

#### Members

`COGL_POLL_FD_EVENT_IN`

  There is data to read.

  - Value: `1`
  - Nickname: `None`
  - Available since: 14
`COGL_POLL_FD_EVENT_PRI`

  Data can be written (without blocking)

  - Value: `2`
  - Nickname: `None`
  - Available since: 14
`COGL_POLL_FD_EVENT_OUT`

  There is urgent data to read.

  - Value: `4`
  - Nickname: `None`
  - Available since: 14
`COGL_POLL_FD_EVENT_ERR`

  Error condition.

  - Value: `8`
  - Nickname: `None`
  - Available since: 14
`COGL_POLL_FD_EVENT_HUP`

  Hung up (the connection has been broken, usually for pipes and sockets).

  - Value: `16`
  - Nickname: `None`
  - Available since: 14
`COGL_POLL_FD_EVENT_NVAL`

  Invalid request. The file descriptor is not open.

  - Value: `32`
  - Nickname: `None`
  - Available since: 14